Subject: Re: bug#29717: python mode imenu and semantic imenu for python both fail to recognize any function with return-value annotations

From: Glyph <[email-masked]>
Date: Mon, 10 Aug 2020 13:19:15 -0700

> On Aug 10, 2020, at 8:42 AM, Stefan Kangas <[email-masked]> wrote:
> 
> Glyph <[email-masked]> writes:
> 
>> In all the various ways Emacs can display a buffer listing function names,
>> 
>> def foo():
>>    pass
>> 
>> shows me 'foo', and
>> 
>> def foo() -> int:
>>    pass
>> 
>> shows me nothing.
>> 
>> This is true for top-level functions as well as nested functions, as well as methods.
> 
> Do you have a recipe for reproducing this, starting from "emacs -Q"?

I'm not sure what version I originally reported this on, but everywhere I can test right now, it works.

Thanks for following up,

-g